package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrLaboratory;

/**
 * 实验室Service接口
 * 
 * @author ssy
 * @date 2024-10-30
 */
public interface ITPssrLaboratoryService 
{
    /**
     * 查询实验室
     * 
     * @param id 实验室ID
     * @return 实验室
     */
    public TPssrLaboratory selectTPssrLaboratoryById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询实验室列表
     * 
     * @param tPssrLaboratory 实验室
     * @return 实验室集合
     */
    public List<TPssrLaboratory> selectTPssrLaboratoryList(TPssrLaboratory tPssrLaboratory);

    /**
     * 新增实验室
     * 
     * @param tPssrLaboratory 实验室
     * @return 结果
     */
    public int insertTPssrLaboratory(TPssrLaboratory tPssrLaboratory);

    /**
     * 修改实验室
     * 
     * @param tPssrLaboratory 实验室
     * @return 结果
     */
    public int updateTPssrLaboratory(TPssrLaboratory tPssrLaboratory);

    /**
     * 批量删除实验室
     * 
     * @param ids 需要删除的实验室ID
     * @return 结果
     */
    public int deleteTPssrLaboratoryByIds(Long[] ids);

    /**
     * 删除实验室信息
     * 
     * @param id 实验室ID
     * @return 结果
     */
    public int deleteTPssrLaboratoryById(Long id);
}
